From d9b67052a595d03f228c61d05b0906ea74b0ee4e Mon Sep 17 00:00:00 2001
From: Julian Scheid <julians37@gmail.com>
Date: Sun, 21 Feb 2021 00:15:52 +1300
Subject: [PATCH] cl-extra: Fix docstring retrieval

* lisp/emacs-lisp/cl-extra.el (cl--describe-class-slots): Fix
  docstring retrieval.
---
 lisp/emacs-lisp/cl-extra.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/emacs-lisp/cl-extra.el b/lisp/emacs-lisp/cl-extra.el
index 28ce6b115a..84199c1612 100644
--- a/lisp/emacs-lisp/cl-extra.el
+++ b/lisp/emacs-lisp/cl-extra.el
@@ -898,8 +898,8 @@ cl--describe-class-slots
                (list (cl-prin1-to-string (cl--slot-descriptor-name slot))
                      (cl-prin1-to-string (cl--slot-descriptor-type slot))
                      (cl-prin1-to-string (cl--slot-descriptor-initform slot))
-                     (let ((doc (alist-get :documentation
-                                           (cl--slot-descriptor-props slot))))
+                     (let ((doc (plist-get (cl--slot-descriptor-props slot)
+                                           :documentation)))
                        (if (not doc) ""
                          (setq has-doc t)
                          (substitute-command-keys doc)))))
-- 
2.30.1

